package com.caimei.controller;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.ClubVo;
import com.caimei.service.ProductService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/23
 */
@Api(tags = "商品")
@RestController
@RequestMapping("/product")
public class ProductApi {

    private ProductService productService;

    @Autowired
    public void setProductService(ProductService productService) {
        this.productService = productService;
    }

    /**
     * 组织机构列表
     *
     * @param name       机构名称/机构联系人
     * @param organizeId 组织id
     * @return
     */
    @ApiOperation("机构列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "organizeId", required = true, value = "组织id"),
            @ApiImplicitParam(name = "name", required = false, value = "机构名称/机构联系人")
    })
    @GetMapping("/clubList")
    public ResponseJson<PageInfo<ClubVo>> clubList(Integer organizeId, String name, Page<ClubVo> page) {
        return null;
    }
}
